GNU bug report logs - #43610
IceCat segfault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: raingloom <raingloom@HIDDEN>; dated Fri, 25 Sep 2020 13:27:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 43610 <at> debbugs.gnu.org:


Received: (at 43610) by debbugs.gnu.org; 1 Oct 2020 01:57:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 21:57:18 2020
Received: from localhost ([127.0.0.1]:33511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNnqQ-0006Jp-H7
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:57:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1kNnqO-0006Jd-R8
 for 43610 <at> debbugs.gnu.org; Wed, 30 Sep 2020 21:57:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46330)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mtg@HIDDEN>)
 id 1kNnqI-0004CY-OQ; Wed, 30 Sep 2020 21:57:10 -0400
Received: from localhost ([::1]:37805 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>)
 id 1kNnqI-0002NC-AI; Wed, 30 Sep 2020 21:57:10 -0400
From: Mike Gerwitz <mtg@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43610: IceCat segfault
In-Reply-To: <87blhs8lb7.fsf@HIDDEN> (Mark H. Weaver's message of "Sat, 26
 Sep 2020 14:05:53 -0400")
Date: Wed, 30 Sep 2020 21:56:04 -0400
Message-ID: <875z7uvhe3.fsf@HIDDEN>
References: <20200925152609.104d0e10@HIDDEN> <87r1qp96py.fsf@HIDDEN>
 <20200926043425.7724956d@HIDDEN> <87blhs8lb7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
OpenPGP: id=D6E9B930028A6C38F43B2388FEF635745E6F6D05
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43610
Cc: raingloom <raingloom@HIDDEN>, 43610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sat, Sep 26, 2020 at 14:05:53 -0400, Mark H Weaver wrote:
> I'm particularly sensitive to the memory requirements at build time,
> because I choose not to trust the build farm and therefore to build my
> entire Guix system with GNOME from source code on a relatively old
> Thinkpad X200 with only 4 GB of RAM.  I've been doing this for many
> years, and I'd like to enable other Guix users to do so if they wish.

As someone with the same system as you, I have appreciated this for
as long as I've used Guix.  Thank you.

> My impression is that IceCat debug outputs would primarily useful to
> people who are actively developing IceCat, in which case it makes more
> sense to build it manually to allow incremental rebuilds after modifying
> the source code.

I agree---I think it's best not to burden all users (that choose to or
have to build) in this case.

-- 
Mike Gerwitz




Information forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.

Message received at 43610 <at> debbugs.gnu.org:


Received: (at 43610) by debbugs.gnu.org; 27 Sep 2020 20:38:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 16:38:21 2020
Received: from localhost ([127.0.0.1]:50520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMdR6-0003he-ON
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 16:38:20 -0400
Received: from world.peace.net ([64.112.178.59]:57684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kMdR5-0003hQ-3r
 for 43610 <at> debbugs.gnu.org; Sun, 27 Sep 2020 16:38:19 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kMdQy-0000sT-UG; Sun, 27 Sep 2020 16:38:13 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: bug#43610: IceCat segfault
In-Reply-To: <20200927074937.3b23c327@HIDDEN>
References: <20200925152609.104d0e10@HIDDEN> <87r1qp96py.fsf@HIDDEN>
 <20200926043425.7724956d@HIDDEN> <87blhs8lb7.fsf@HIDDEN>
 <20200927074937.3b23c327@HIDDEN>
Date: Sun, 27 Sep 2020 16:36:52 -0400
Message-ID: <87v9fz6jnk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43610
Cc: 43610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

raingloom <raingloom@HIDDEN> writes:

> On Sat, 26 Sep 2020 14:05:53 -0400
> Mark H Weaver <mhw@HIDDEN> wrote:
>
>> In the meantime, to start IceCat 78 with your existing profile but
>> with addons temporarily disabled, try running:
>> 
>>   icecat -safe-mode
>> 
>> That should allow you to recover your existing bookmarks, history,
>> cookies, saved passwords, tabs, etc.  Then you can try adding back
>> your preferred addons incrementally to find out which one is causing
>> the problem.
>
> It still crashes with the -safe-mode flag. Luckily I keep most things
> outside modern browsers, so it's not a huge loss. (For obvious reasons
> I do not consider them reliable.)

If you'd like to try another experiment, it would be interesting to know
if you're able to recover most of your old profile by running "icecat
-safe-mode -p", selecting your old profile, and clicking on the "Refresh
IceCat" button that is presented.  That will reset all preferences to
the IceCat defaults, but might enable you to recover the things I listed
above.

>> > Tbh this would be a good time to have a debug output for IceCat on
>> > hand.  
>> 
>> While I acknowledge that it might occasionally be useful in edge cases
>> like this, it would also dramatically increase the memory requirements
>> at build time. [...]
>
> Huh, I was not aware that it increased build time memory requirements.
> I assumed it just gets sent to the void in the 'strip phase, just like
> it is in other packages.

We currently pass "--disable-debug" and "--disable-debug-symbols" to
IceCat's configure script, which causes it to pass compiler flags that
disable generation of debug symbols during the build.

> As a fellow 4 gigger/thinkpadder I
> appreciate anything that lets me build things locally without 16+ gigs
> of swap. (you might think that's an exaggeration, but then you haven't
> tried to build Idris 2 with Idris 1.)

I've actually tried (and failed) to build Idris 1 locally, so I can
sympathize :-/

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.

Message received at 43610 <at> debbugs.gnu.org:


Received: (at 43610) by debbugs.gnu.org; 27 Sep 2020 05:49:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 01:49:30 2020
Received: from localhost ([127.0.0.1]:48154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMPYw-0000NB-6p
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 01:49:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1kMPYt-0000N2-EK
 for 43610 <at> debbugs.gnu.org; Sun, 27 Sep 2020 01:49:28 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4BzZTy2f9LzFgrR;
 Sat, 26 Sep 2020 22:49:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1601185766; bh=j9bRu0+//GID/LOChHhcwI9CTSJo2peuCOFRj09zmD8=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=jvbRYwMzcZisXCLCTKfxzr+hVVwvPKOS+uoQaWU5rk2Y6dGY1k0tSMXaoc4YeLma2
 IHcWWjsTDpXnN8tkMuFjTSgBHWjMS6UChxUo4MA7i8cWiRvKqh8M4mJN0vlHxqvQ03
 ucUO4DPf3zCZDBuv+Gf19tvqt97KeIws4claaJNE=
X-Riseup-User-ID: CDD7D3018EA542E1524C56CCCF540B11B1921EC3FFBED66EE41433E268EE23B2
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4BzZTx3bHzzJncd;
 Sat, 26 Sep 2020 22:49:25 -0700 (PDT)
Date: Sun, 27 Sep 2020 07:49:37 +0200
From: raingloom <raingloom@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43610: IceCat segfault
Message-ID: <20200927074937.3b23c327@HIDDEN>
In-Reply-To: <87blhs8lb7.fsf@HIDDEN>
References: <20200925152609.104d0e10@HIDDEN> <87r1qp96py.fsf@HIDDEN>
 <20200926043425.7724956d@HIDDEN> <87blhs8lb7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43610
Cc: 43610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, 26 Sep 2020 14:05:53 -0400
Mark H Weaver <mhw@HIDDEN> wrote:

> Hi,
> 
> raingloom <raingloom@HIDDEN> writes:
> > It crashed immediately without any visible activity.  
> 
> Okay.
> 
> > It does start up properly with a fresh profile. I'll try to bisect
> > the addons list later.  
> 
> In the meantime, to start IceCat 78 with your existing profile but
> with addons temporarily disabled, try running:
> 
>   icecat -safe-mode
> 
> That should allow you to recover your existing bookmarks, history,
> cookies, saved passwords, tabs, etc.  Then you can try adding back
> your preferred addons incrementally to find out which one is causing
> the problem.

It still crashes with the -safe-mode flag. Luckily I keep most things
outside modern browsers, so it's not a huge loss. (For obvious reasons
I do not consider them reliable.)

> > Tbh this would be a good time to have a debug output for IceCat on
> > hand.  
> 
> While I acknowledge that it might occasionally be useful in edge cases
> like this, it would also dramatically increase the memory requirements
> at build time.  For what it's worth, in the ~6 years that I've been
> maintaining the IceCat package in Guix, I don't recall being asked
> for a debug output before now.
> 
> I'm particularly sensitive to the memory requirements at build time,
> because I choose not to trust the build farm and therefore to build my
> entire Guix system with GNOME from source code on a relatively old
> Thinkpad X200 with only 4 GB of RAM.  I've been doing this for many
> years, and I'd like to enable other Guix users to do so if they wish.
> 
> My impression is that IceCat debug outputs would primarily useful to
> people who are actively developing IceCat, in which case it makes more
> sense to build it manually to allow incremental rebuilds after
> modifying the source code.
> 
> If it turns out that there's more interest in IceCat debug outputs
> than I've anticipated (others: please speak up if you need this!),
> I'm not necessarily opposed to adding them, but someone with a more
> powerful machine would need to take over maintenance of our IceCat
> package, because I would be unable to locally test the official build.
> 
> What do you think?  Do other people need IceCat 'debug' outputs?
> 
>       Thanks,
>         Mark


Huh, I was not aware that it increased build time memory requirements.
I assumed it just gets sent to the void in the 'strip phase, just like
it is in other packages.
Maybe feature flags could help with this in the future. Since
(hopefully) nothing depends on IceCat, the build farm could just build
it with debug symbols, and those who want to build it locally can
build it without them. But that's off topic for this thread.
Local builds are definitely cool. As a fellow 4 gigger/thinkpadder I
appreciate anything that lets me build things locally without 16+ gigs
of swap. (you might think that's an exaggeration, but then you haven't
tried to build Idris 2 with Idris 1.)




Information forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.

Message received at 43610 <at> debbugs.gnu.org:


Received: (at 43610) by debbugs.gnu.org; 26 Sep 2020 18:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 14:07:23 2020
Received: from localhost ([127.0.0.1]:47730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMEbT-0002Qn-Cd
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 14:07:23 -0400
Received: from world.peace.net ([64.112.178.59]:53918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kMEbO-0002QX-BU
 for 43610 <at> debbugs.gnu.org; Sat, 26 Sep 2020 14:07:21 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kMEbI-00023P-6y; Sat, 26 Sep 2020 14:07:12 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: bug#43610: IceCat segfault
In-Reply-To: <20200926043425.7724956d@HIDDEN>
References: <20200925152609.104d0e10@HIDDEN> <87r1qp96py.fsf@HIDDEN>
 <20200926043425.7724956d@HIDDEN>
Date: Sat, 26 Sep 2020 14:05:53 -0400
Message-ID: <87blhs8lb7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43610
Cc: 43610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

raingloom <raingloom@HIDDEN> writes:
> It crashed immediately without any visible activity.

Okay.

> It does start up properly with a fresh profile. I'll try to bisect the
> addons list later.

In the meantime, to start IceCat 78 with your existing profile but with
addons temporarily disabled, try running:

  icecat -safe-mode

That should allow you to recover your existing bookmarks, history,
cookies, saved passwords, tabs, etc.  Then you can try adding back your
preferred addons incrementally to find out which one is causing the
problem.

> Tbh this would be a good time to have a debug output for IceCat on hand.

While I acknowledge that it might occasionally be useful in edge cases
like this, it would also dramatically increase the memory requirements
at build time.  For what it's worth, in the ~6 years that I've been
maintaining the IceCat package in Guix, I don't recall being asked for a
debug output before now.

I'm particularly sensitive to the memory requirements at build time,
because I choose not to trust the build farm and therefore to build my
entire Guix system with GNOME from source code on a relatively old
Thinkpad X200 with only 4 GB of RAM.  I've been doing this for many
years, and I'd like to enable other Guix users to do so if they wish.

My impression is that IceCat debug outputs would primarily useful to
people who are actively developing IceCat, in which case it makes more
sense to build it manually to allow incremental rebuilds after modifying
the source code.

If it turns out that there's more interest in IceCat debug outputs than
I've anticipated (others: please speak up if you need this!), I'm not
necessarily opposed to adding them, but someone with a more powerful
machine would need to take over maintenance of our IceCat package,
because I would be unable to locally test the official build.

What do you think?  Do other people need IceCat 'debug' outputs?

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.

Message received at 43610 <at> debbugs.gnu.org:


Received: (at 43610) by debbugs.gnu.org; 26 Sep 2020 02:34:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 25 22:34:17 2020
Received: from localhost ([127.0.0.1]:45590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kM02T-0000Tx-KJ
	for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 22:34:17 -0400
Received: from mx1.riseup.net ([198.252.153.129]:50096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1kM02Q-0000To-JZ
 for 43610 <at> debbugs.gnu.org; Fri, 25 Sep 2020 22:34:15 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4BytC95K3pzFf2Z;
 Fri, 25 Sep 2020 19:34:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1601087653; bh=yP8agThD2jGK8nzBsmkbgJrbTj8p71ilNTfjPuTbzuk=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=oS6SDtJTswfdpMSOl4O4Og9GMOb75Fi/RWb5ntTB+vGvtSoGWe6+nTwu21mRQ7QQR
 mVtdAMi6uiWYLJ9Fd2NNsidD8gxMIrsdW8gUts5Kx4pucFWvQ2RGohHZ95wA6t0aEE
 EttncovUTNTOstgDmX7X7Ht2EWktbtL2tj04nJW0=
X-Riseup-User-ID: 38CFA46D051070823651B5785689723464ED7849946D71A2DA530F414E895B16
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4BytC84t4HzJmh0;
 Fri, 25 Sep 2020 19:34:12 -0700 (PDT)
Date: Sat, 26 Sep 2020 04:34:25 +0200
From: raingloom <raingloom@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#43610: IceCat segfault
Message-ID: <20200926043425.7724956d@HIDDEN>
In-Reply-To: <87r1qp96py.fsf@HIDDEN>
References: <20200925152609.104d0e10@HIDDEN>
	<87r1qp96py.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43610
Cc: 43610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, 25 Sep 2020 12:11:10 -0400
Mark H Weaver <mhw@HIDDEN> wrote:

> Hi,
> 
> raingloom <raingloom@HIDDEN> writes:
> > Haven't had time to look deeper into it yet. It worked in my profile
> > from sept 11, it broke after pulling and upgrading yesterday.
> > Idk what my commit is because I'm using a private branch.  
> 
> On Sept 22, I pushed a major update of IceCat from 68.12.0 to 78.3.0:
> 
>   commit c7011ff850420fdbe1319b3d218bd362f2f9d618
>   Author: Mark H Weaver <mhw@HIDDEN>
>   Date:   Sun Sep 6 21:47:33 2020 -0400
> 
>   gnu: icecat: Update to 78.3.0-guix0-preview1 [security-fixes].
>   
>   Includes fixes for CVE-2020-15673, CVE-2020-15676, CVE-2020-15677,
> and CVE-2020-15678.
> 
>   [...]
> 
> More details would be helpful.  For example, it's not clear from your
> report whether it segfaults immediately on startup or sometime later,
> whether a window appears, etc.  Also, are you using Guix on top of a
> foreign distro, or natively?  Wayland or X?
> 
> It would also be useful to know how IceCat 78 behaves on your system
> with a fresh profile.  Try it by running "icecat -p", creating a new
> profile from the profile manager window, and then starting icecat with
> that new profile selected.  If that works, it would then be useful to
> try adding back any extensions that were installed in the profile that
> crashed, and see if that makes a difference.
> 
>       Thanks,
>         Mark

It crashed immediately without any visible activity.
It does start up properly with a fresh profile. I'll try to bisect the
addons list later.

Tbh this would be a good time to have a debug output for IceCat on hand.




Information forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.

Message received at 43610 <at> debbugs.gnu.org:


Received: (at 43610) by debbugs.gnu.org; 25 Sep 2020 16:12:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 25 12:12:37 2020
Received: from localhost ([127.0.0.1]:45159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLqKq-0002tk-Ti
	for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 12:12:37 -0400
Received: from world.peace.net ([64.112.178.59]:50088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kLqKp-0002tV-0D
 for 43610 <at> debbugs.gnu.org; Fri, 25 Sep 2020 12:12:35 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kLqKi-0003UQ-Ob; Fri, 25 Sep 2020 12:12:28 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: raingloom <raingloom@HIDDEN>, 43610 <at> debbugs.gnu.org
Subject: Re: bug#43610: IceCat segfault
In-Reply-To: <20200925152609.104d0e10@HIDDEN>
References: <20200925152609.104d0e10@HIDDEN>
Date: Fri, 25 Sep 2020 12:11:10 -0400
Message-ID: <87r1qp96py.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43610
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

raingloom <raingloom@HIDDEN> writes:
> Haven't had time to look deeper into it yet. It worked in my profile
> from sept 11, it broke after pulling and upgrading yesterday.
> Idk what my commit is because I'm using a private branch.

On Sept 22, I pushed a major update of IceCat from 68.12.0 to 78.3.0:

  commit c7011ff850420fdbe1319b3d218bd362f2f9d618
  Author: Mark H Weaver <mhw@HIDDEN>
  Date:   Sun Sep 6 21:47:33 2020 -0400

  gnu: icecat: Update to 78.3.0-guix0-preview1 [security-fixes].
  
  Includes fixes for CVE-2020-15673, CVE-2020-15676, CVE-2020-15677, and
  CVE-2020-15678.

  [...]

More details would be helpful.  For example, it's not clear from your
report whether it segfaults immediately on startup or sometime later,
whether a window appears, etc.  Also, are you using Guix on top of a
foreign distro, or natively?  Wayland or X?

It would also be useful to know how IceCat 78 behaves on your system
with a fresh profile.  Try it by running "icecat -p", creating a new
profile from the profile manager window, and then starting icecat with
that new profile selected.  If that works, it would then be useful to
try adding back any extensions that were installed in the profile that
crashed, and see if that makes a difference.

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2020 13:26:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 25 09:26:11 2020
Received: from localhost ([127.0.0.1]:43043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLnjj-0000Os-6X
	for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 09:26:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:46046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1kLnje-0000Og-87
 for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 09:26:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57206)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1kLnje-0000pI-0Y
 for bug-guix@HIDDEN; Fri, 25 Sep 2020 09:26:02 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42058)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1kLnjb-0006AK-HO
 for bug-guix@HIDDEN; Fri, 25 Sep 2020 09:26:01 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4ByXjc44sczDsy3
 for <bug-guix@HIDDEN>; Fri, 25 Sep 2020 06:25:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1601040356; bh=tmw1ijdrsEApK2aKFR25G7DXCezzZVgydjNobc22j/A=;
 h=Date:From:To:Subject:From;
 b=q/0QbqLEY197jD6FJu3Y6xg2kKjY/ppIfhgIk+loE7EtSfhNDUX2rrpGHM5e251aM
 uuflKQ5EN94vSkTmxBRc2ysqNJOX14zkBsykDzr6YEisEz5NhuDUNEk+Htg5Pbw/tZ
 c91AS3rp24qPjBHWFlM9I+77KOKIUnMhTpXpLwSk=
X-Riseup-User-ID: DF8BAF9EACDEE30D8C779BE2F8BA66B1B3D6BC1FFD3CF06AF5246EF94ED4C37D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4ByXjb5SJvzJmnB
 for <bug-guix@HIDDEN>; Fri, 25 Sep 2020 06:25:55 -0700 (PDT)
Date: Fri, 25 Sep 2020 15:26:09 +0200
From: raingloom <raingloom@HIDDEN>
To: Guix Bugs <bug-guix@HIDDEN>
Subject: IceCat segfault
Message-ID: <20200925152609.104d0e10@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=198.252.153.129;
 envelope-from=raingloom@HIDDEN; helo=mx1.riseup.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/25 09:06:20
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Haven't had time to look deeper into it yet. It worked in my profile
from sept 11, it broke after pulling and upgrading yesterday.
Idk what my commit is because I'm using a private branch.




Acknowledgement sent to raingloom <raingloom@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43610; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 1 Oct 2020 02:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.